Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.sound.midi
Interface ControllerEventListener

All Superinterfaces:
  EventListener

public interface ControllerEventListener
extends EventListener

The `ControllerEventListener` interface should be implemented by classes whose instances need to be notified when a `Sequencer` has processed a requested type of MIDI control-change event. To register a `ControllerEventListener` object to receive such notifications, invoke the `addControllerEventListener` method of `Sequencer`, specifying the types of MIDI controllers about which you are interested in getting control-change notifications.

See Also:
  `MidiChannel.controlChange(int, int)`

Method Summary
`void` | `controlChange(ShortMessage event)` Invoked when a `Sequencer` has encountered and processed a control-change event of interest to this listener.

Method Detail

### controlChange

    public void controlChange(ShortMessage event)

  Invoked when a `Sequencer` has encountered and processed a control-change event of interest to this listener. The event passed in is a `ShortMessage` whose first data byte indicates the controller number and whose second data byte is the value to which the controller was set.
  Parameters:
    `event` - the control-change event that the sequencer encountered in the sequence it is processing
  See Also:
    `Sequencer.addControllerEventListener(ControllerEventListener, int[])`, `MidiChannel.controlChange(int, int)`, `ShortMessage.getData1()`, `ShortMessage.getData2()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.